var DropdownHandler = function () {
  var NormalizerService = Services.Normalizer();
  var toggleShown = function (count, constant) {
    if (count === constant.MAX) {
      return {
        count: constant.DEFAULT,
        text: i18next.t('constantMsgs.viewAll')
      };
    } else {
      return {
        count: constant.MAX,
        text: i18next.t('constantMsgs.viewLess')
      };
    }
  };
  var getLastSeen = function(localStorageKey) {
    var lastSeen = localStorage.getItem(NormalizerService.generateLocalStorageKey(localStorageKey));
    if (!lastSeen) {
      // dummy value.
      lastSeen = '2010-07-09T00:00:00+00:00';
    }
    return lastSeen;
  };
  var setLastSeen = function(list, key, localStorageKey) {
    var dateStr = '';
    if (list && list.length > 0) {
      // set the date of the last.
      var date = list[0][key];
      dateStr = DateTimeHelper.getUTCSuffixDate(date);
    } else {
      // since list is empty, lets set this to the current time.
      dateStr = DateTimeHelper.getUTCSuffixDate(new Date().toISOString());
    }
    localStorage.setItem(NormalizerService.generateLocalStorageKey(localStorageKey), dateStr);
  };
  var showMessage = function(message, $elementToRender, $elementToHide) {
    $elementToRender.html(
      '<div class="dropdown-item notify-item text-center">' +
      message +
      '</div>'
    );
    $elementToHide.hide();
  };

  return {
    toggleShown: toggleShown,
    getLastSeen: getLastSeen,
    setLastSeen: setLastSeen,
    showMessage: showMessage
  };
};